Loading...
Searching...
No Matches
itk::TranslationStackTransform< NDimension > Class Template Reference

`#include <itkTranslationStackTransform.h>`

## Detailed Description

template<unsigned int NDimension>
class itk::TranslationStackTransform< NDimension >

Definition at line 28 of file itkTranslationStackTransform.h.

Inheritance diagram for itk::TranslationStackTransform< NDimension >:
[legend]

## Public Types

using | Pointer = itk::SmartPointer<TranslationStackTransform>
using | Self = TranslationStackTransform
using | Superclass = itk::StackTransform<CoordRepType, NDimension, NDimension>
Public Types inherited from itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >
using | ConstPointer
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | ParametersArrayType
using | Pointer
using | Self
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | SubTransformInputPointType
using | SubTransformJacobianType
using | SubTransformOutputPointType
using | SubTransformPointer
using | SubTransformType
using | Superclass
Public Types inherited from itk::AdvancedTransform< elx::ElastixBase::CoordRepType, NInputDimensions, NOutputDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (TranslationStackTransform)
Public Member Functions inherited from itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >
void | GetJacobian (const InputPointType &inputPoint, JacobianType &jac, NonZeroJacobianIndicesType &nzji) const override
NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const override
NumberOfParametersType | GetNumberOfParameters () const override
auto | GetNumberOfSubTransforms () const
const ParametersType & | GetParameters () const override
virtual elx::ElastixBase::CoordRepType | GetStackOrigin () const
virtual elx::ElastixBase::CoordRepType | GetStackSpacing () const
SubTransformPointer | GetSubTransform (unsigned int i)
| ITK_DISALLOW_COPY_AND_MOVE (StackTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
void | SetAllSubTransforms (const SubTransformType &transform)
void | SetFixedParameters (const FixedParametersType &fixedParameters) override
void | SetNumberOfSubTransforms (const unsigned int num)
void | SetParameters (const ParametersType &param) override
virtual void | SetStackOrigin (elx::ElastixBase::CoordRepType _arg)
virtual void | SetStackSpacing (elx::ElastixBase::CoordRepType _arg)
void | SetSubTransform (unsigned int i, SubTransformType *transform)
OutputPointType | TransformPoint (const InputPointType &inputPoint) const override
void | UpdateFixedParameters ()
Public Member Functions inherited from itk::AdvancedTransform< elx::ElastixBase::CoordRepType, NInputDimensions, NOutputDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| TranslationStackTransform ()=default
| ~TranslationStackTransform () override=default
Protected Member Functions inherited from itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >
void | CreateSubTransforms (const FixedParametersType &fixedParametersOfSubTransform)
| StackTransform ()=default
virtual void | UpdateFixedParametersInternally (const FixedParametersType &fixedParametersOfSubTransform)
void | UpdateStackSpacingAndOrigin ()
| ~StackTransform () override=default
Protected Member Functions inherited from itk::AdvancedTransform< elx::ElastixBase::CoordRepType, NInputDimensions, NOutputDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Private Types

using | CoordRepType = elx::ElastixBase::CoordRepType

## Private Member Functions

Superclass::SubTransformPointer | CreateSubTransform () const override

## Additional Inherited Members

Protected Types inherited from itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >
enum |
Protected Attributes inherited from itk::AdvancedTransform< elx::ElastixBase::CoordRepType, NInputDimensions, NOutputDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## CoordRepType

template<unsigned int NDimension>

using itk::TranslationStackTransform< NDimension >::CoordRepType = elx::ElastixBase::CoordRepType

private

Definition at line 32 of file itkTranslationStackTransform.h.

## Pointer

template<unsigned int NDimension>

using itk::TranslationStackTransform< NDimension >::Pointer = itk::SmartPointer<TranslationStackTransform>

Definition at line 39 of file itkTranslationStackTransform.h.

## Self

template<unsigned int NDimension>

using itk::TranslationStackTransform< NDimension >::Self = TranslationStackTransform

Definition at line 37 of file itkTranslationStackTransform.h.

## Superclass

template<unsigned int NDimension>

using itk::TranslationStackTransform< NDimension >::Superclass = itk::StackTransform<CoordRepType, NDimension, NDimension>

Definition at line 38 of file itkTranslationStackTransform.h.

## Constructor & Destructor Documentation

## TranslationStackTransform()

template<unsigned int NDimension>

itk::TranslationStackTransform< NDimension >::TranslationStackTransform | ( |  | ) |

protected default

Default-constructor

## ~TranslationStackTransform()

template<unsigned int NDimension>

itk::TranslationStackTransform< NDimension >::~TranslationStackTransform | ( |  | ) |

override protected default

Destructor

## Member Function Documentation

## CreateSubTransform()

template<unsigned int NDimension>

Superclass::SubTransformPointer itk::TranslationStackTransform< NDimension >::CreateSubTransform | ( |  | ) | const

inline override private virtual

Create a subtransform that may be added to this specific stack.

Implements itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >.

Definition at line 53 of file itkTranslationStackTransform.h.

## GetClassName()

template<unsigned int NDimension>

virtual const char * itk::TranslationStackTransform< NDimension >::GetClassName | ( |  | ) | const

virtual

Reimplemented from itk::StackTransform< elx::ElastixBase::CoordRepType, NDimension, NDimension >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<unsigned int NDimension>

itk::TranslationStackTransform< NDimension >::ITK_DISALLOW_COPY_AND_MOVE | ( | TranslationStackTransform< NDimension > |  | ) |

## New()

template<unsigned int NDimension>

Pointer itk::TranslationStackTransform< NDimension >::New | ( |  | ) |

static

Generated on 1768596610 for elastix by 1.15.0 |